<?php
if ( ! defined( 'ABSPATH' ) ) exit; 
//Adds Hut2Go widget.

class oaembed_Hut2Go extends WP_Widget {
	
	
	//Register widget with WordPress.

	public function __construct() {
		parent::__construct(
			'Hut2Go', //Base ID
			__('Outdooractive Hut Widget', 'outdooractiveEmbed'), //Name
			array( 'description' => __( 'This widget embeds huts from outdooractive.com', 'outdooractiveEmbed' ), ) //Args
		);
	}

	//Front-end display of widget.

	public function widget( $args, $instance ) {
		
		$url = $instance['url'];
		
		require_once(dirname(__FILE__).'./../includes/check_id.php');
		require_once(dirname(__FILE__).'./../includes/check_language.php');
		
		$hutshow = oaembed_get_id( $url );
		$language = oaembed_check_language();
		$frontend = oaembed_get_frontend( $url );
		
		$options = get_option ( 'oaembedoptions' );
		$checkPoweredBy = $options['checkPoweredBy'];
		
		$maxwidth = $instance['maxwidth'];
		
		if ( $maxwidth == '' ){
			$maxwidth = '100%';
		} else {
			$maxwidth = $maxwidth.'px';
		}
		
		//create iframes
		if ( $frontend == 'www.outdooractive.com' || $frontend == '' ) {
			?>
			<div style="min-width: 260px; max-width: <?php echo esc_attr( $maxwidth ) ?>"><script type="text/javascript" src="https://www.outdooractive.com/<?php echo $language?>/r/<?php echo esc_attr( $hutshow );?>?page=hut2go&zpr=ufq7"></script><?php if ( $checkPoweredBy == 1 ) { ?><p><a href="https://www.outdooractive.com//de/r/<?php echo esc_attr( $hutshow );?>/" target="_blank"><?php echo __('learn more', 'outdooractiveEmbed');?> ›</a></p><?php } ?></div>
			<?php
		}
		else {
			if ( $frontend == 'regio.outdooractive.com' ) {
				$regioparts = explode( '/', $url );
				$regio = $regioparts[3];
				$srcurl = $frontend.'/'.$regio.'/'.$language.'/r/'.$hutshow;
			} else {
				$srcurl = $frontend.'/'.$language.'/r/'.$hutshow;
			}
			?>
			<div style="min-width: 260px; max-width: <?php echo esc_attr( $maxwidth ) ?>"><script type="text/javascript" src="https://<?php echo esc_attr( $srcurl );?>?page=hut2go&zpr=ufq7"></script><?php if ( $checkPoweredBy == 1 ) { ?><p><a title="<?php echo __('Europes biggest Outdoor-Plattform', 'outdooractiveEmbed');?>" href="https://www.outdooractive.com/<?php echo $language?>/" target="_blank">part of outdooractive</a></p><?php } ?></div>
			<?php
		}
		
		
		echo $args['after_widget'];
		
	}

	//Back-end widget form.
	
	public function form( $instance ) {
		require_once(dirname(__FILE__).'./../includes/check_id.php');
		$shortcodeType = 'hut';
		
		//Field URL
		if ( isset( $instance[ 'url' ] ) ) {
			$url = $instance[ 'url' ];
		}
		else {
			$url = '';
		}
		?>
		<p>
		<label for="<?php echo $this->get_field_id( 'url' ); ?>"><?php _e( 'Hut ID or link', 'outdooractiveEmbed'); ?>:</label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'url' ); ?>" name="<?php echo $this->get_field_name( 'url' ); ?>" type="text" value="<?php echo esc_attr( $url ); ?>" required="required" <?php if ($url == '' || oaembed_check_id( $url, $shortcodeType ) == false ) { echo 'style="border-color: red"'; }?>>
		<label for="<?php echo $this->get_field_id( 'url' ); ?>">
		
		<?php 
		if (  $url == '' ) { 
			_e( 'Please enter the hut-id or the link to the hut', 'outdooractiveEmbed' ); 
		} else if ( oaembed_check_id( $url, $shortcodeType ) == false ) {
			_e( 'ID does not match to widget  or content is not published. Please use another Outdooractive-Widget or publish your content', 'outdooractiveEmbed' ); 
		}
		?>
		
		</label>
		</p>
		<?php
		
		//Field maxwidth
		if ( isset( $instance[ 'maxwidth' ] ) ) {
			$maxwidth = $instance[ 'maxwidth' ];
		}
		else {
			$maxwidth = '';
		}
		?>
		<p>
		<label for="<?php echo $this->get_field_id( 'maxwidth' ); ?>"><?php _e( 'Maximum width, in pixels', 'outdooractiveEmbed'); ?>:
			<input class="widefat" id="<?php echo $this->get_field_id( 'maxwidth' ); ?>" name="<?php echo $this->get_field_name( 'maxwidth' ); ?>" type="text" value="<?php echo esc_attr( $maxwidth ); ?>">
		</label>
		</p>
		<?php
		
		
	}

	//save variables

	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['maxwidth'] = ( ! empty( $new_instance['maxwidth'] ) ) ? strip_tags( $new_instance['maxwidth'] ) : '';
		
		//check URL
		if ( current_user_can('unfiltered_html') )
			$instance['url'] = $new_instance['url'];
		else
			$instance['url'] = stripslashes( wp_filter_post_kses( addslashes($new_instance['url']) ) );
			return $instance;
	}
	
} // class Hut2Go

//register Hut2Go widget
function oaembed_register_Hut2Go() {
	register_widget( 'oaembed_Hut2Go' );
}
add_action( 'widgets_init', 'oaembed_register_Hut2Go' );

?>