<?php
if ( ! defined( 'ABSPATH' ) ) exit; 
//Adds List2Go widget.

class oaembed_List2Go extends WP_Widget {
	
	//Register widget with WordPress.

	public function __construct() {
		parent::__construct(
			'list2go', //Base ID
			__('Outdooractive List Widget', 'outdooractiveEmbed'), //Name
			array( 'description' => __( 'This widget embeds lists from outdooractive.com', 'outdooractiveEmbed' ), ) //Args
		);
	}

	//Front-end display of widget.

	public function widget( $args, $instance ) {

		$url = $instance['url'];
		
		require_once(dirname(__FILE__).'./../includes/check_id.php');	
		require_once(dirname(__FILE__).'./../includes/check_language.php');
		
		$listshow = oaembed_get_id( $url );
		
		$displayMap = $instance['showMap'];
		$showHeader = $instance['showHeader'];
		
		$options = get_option ( 'oaembedoptions' );
		$checkPoweredBy = $options['checkPoweredBy'];
		
		if ( $showHeader == '' ) {
			$noHeader = 'true';
		} else {
			$noHeader = 'false';
		}

		$language = oaembed_check_language();
		$frontend = oaembed_get_frontend( $url );
		
		$maxwidth = $instance['maxwidth'];
		
		if ( $maxwidth == '' ){
			$maxwidth = '100%';
		} else {
			$maxwidth = $maxwidth.'px';
		}
		
		
		//create iframe
		if ( $frontend == 'www.outdooractive.com' || $frontend == '' ) {
			?>
			<div style="min-width: 260px; max-width: <?php echo esc_attr( $maxwidth ) ?>"><script type="text/javascript" src="https://www.outdooractive.com/<?php echo $language; ?>/r/<?php echo esc_attr( $listshow ); ?>?page=list2go&noHeader=<?php echo esc_attr( $noHeader ); ?>&initMap=<?php echo esc_attr( $displayMap ); ?>&zpr=ufq7"></script><?php if ( $checkPoweredBy == 1 ) { ?><p><a href="https://www.outdooractive.com/<?php echo $language;?>/r/<?php echo esc_attr( $listshow ); ?>/" target="_blank"><?php echo __('learn more', 'outdooractiveEmbed') ?> ›</a></p><?php } ?></div>
			<?php
		} else {
			if ( $frontend == 'regio.outdooractive.com' ) {
				$regioparts = explode( '/', $url );
				$regio = $regioparts[3];
				$srcurl = $frontend.'/'.$regio.'/'.$language.'/r/'.$listshow;
			} else {
				$srcurl = $frontend.'/'.$language.'/r/'.$listshow;
			}
			?>
			<div style="min-width: 260px; max-width: <?php echo esc_attr( $maxwidth ) ?>"><script type="text/javascript" src="https://<?php echo esc_attr( $srcurl ) ?>?page=list2go&noHeader=<?php echo esc_attr( $noHeader ) ?>&initMap=<?php echo esc_attr($displayMap ) ?>&zpr=ufq7"></script><?php if ( $checkPoweredBy == 1 ) { ?><p><a title="<?php echo __('Europes biggest Outdoor-Plattform', 'outdooractiveEmbed');?>" href="https://www.outdooractive.com/<?php echo $language;?>/" target="_blank">part of outdooractive</a></p><?php } ?></div>
			<?php
		}
		

		echo $args['after_widget'];
	}

	//Back-end widget form.
	
	public function form( $instance ) {
		require_once(dirname(__FILE__).'./../includes/check_id.php');
		$shortcodeType = 'list';	
		
		//Field URL
		if ( isset( $instance[ 'url' ] ) ) {
			$url = $instance[ 'url' ];
		}
		else {
			$url = '';
		}
		?>
		<p>
		<label for="<?php echo $this->get_field_id( 'url' ); ?>"><?php _e( 'List ID or link', 'outdooractiveEmbed'); ?>:</label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'url' ); ?>" name="<?php echo $this->get_field_name( 'url' ); ?>" type="text" value="<?php echo esc_attr( $url ); ?>" required="required" <?php if ($url == '' || oaembed_check_id( $url, $shortcodeType ) == false ) { echo 'style="border-color: red"'; }?>>
		<label for="<?php echo $this->get_field_id( 'url' ); ?>">
		
		<?php 
		if (  $url == '' ) {
			_e( 'Please enter the link to the list or the list-id', 'outdooractiveEmbed' ); 
		} else if ( oaembed_check_id( $url, $shortcodeType ) == false ) {
			_e( 'ID does not match to widget  or content is not published. Please use another Outdooractive-Widget or publish your content', 'outdooractiveEmbed' ); 
		}
		?>
		
		</label>
		</p>
		<?php
		
		//Field showMap
		if ( isset( $instance[ 'showMap' ] ) ) {
			$showMap = $instance[ 'showMap' ];
		}
		else {
			$showMap = '';
		}		
		?>
		<p>
		<label for="<?php echo $this->get_field_id( 'showMap' ); ?>"><?php _e( 'Initial view', 'outdooractiveEmbed'); ?>:
			<select class="widefat" id="<?php echo $this->get_field_id( 'showMap' ); ?>" name="<?php echo $this->get_field_name( 'showMap' ); ?>" type="text">
				<option value="false" <?php echo ($showMap=='false')?'selected':''; ?> ><?php _e( 'List', 'outdooractiveEmbed'); ?></option>
				<option value="true" <?php echo ($showMap=='true')?'selected':''; ?> ><?php _e( 'Map', 'outdooractiveEmbed'); ?></option>
			</select>
		</label>
		</p>
		<?php
		
		//Field showHeader
		if ( isset( $instance[ 'showHeader' ] ) ) {
			$showHeader = $instance[ 'showHeader' ];
		}
		else {
			$showHeader = 'true';
		}
		?>
		<p>
		<label for="<?php echo $this->get_field_id( 'showHeader' ); ?>"><?php _e( 'Show title, image and description of the list', 'outdooractiveEmbed'); ?>:
			<input class="widefat" id="<?php echo $this->get_field_id( 'showHeader' ); ?>" name="<?php echo $this->get_field_name( 'showHeader' ); ?>" type="checkbox" value="true"<?php checked( $showHeader == 'true' ); ?>>
		</label>
		</p>
		<?php
		
		//Field maxwidth
		if ( isset( $instance[ 'maxwidth' ] ) ) {
			$maxwidth = $instance[ 'maxwidth' ];
		}
		else {
			$maxwidth = '';
		}
		?>
		<p>
		<label for="<?php echo $this->get_field_id( 'maxwidth' ); ?>"><?php _e( 'Maximum width, in pixels', 'outdooractiveEmbed'); ?>:
			<input class="widefat" id="<?php echo $this->get_field_id( 'maxwidth' ); ?>" name="<?php echo $this->get_field_name( 'maxwidth' ); ?>" type="text" value="<?php echo esc_attr( $maxwidth ); ?>">
		</label>
		</p>
		<?php
		
	}

	//Save variables of backend

	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['showMap'] = ( ! empty( $new_instance['showMap'] ) ) ? strip_tags( $new_instance['showMap'] ) : '';
		$instance['showHeader'] = ( ! empty( $new_instance['showHeader'] ) ) ? strip_tags( $new_instance['showHeader'] ) : '';
		$instance['maxwidth'] = ( ! empty( $new_instance['maxwidth'] ) ) ? strip_tags( $new_instance['maxwidth'] ) : '';
		
		//check URL
		if ( current_user_can('unfiltered_html') )
			$instance['url'] = $new_instance['url'];
		else
			$instance['url'] = stripslashes( wp_filter_post_kses( addslashes($new_instance['url']) ) );
			return $instance;
	}
	
} // class List2Go

//register List2Go widget
function oaembed_register_list2go() {
	register_widget( 'oaembed_List2Go' );
}
add_action( 'widgets_init', 'oaembed_register_list2go' );

?>