<?php
if ( ! defined( 'ABSPATH' ) ) exit; 

class oaembed_Config {
	private $options = 'oaembed_options';
    public function __construct() {
        add_action( 'admin_menu', array( $this, 'oaembed' ) );
        add_action( 'admin_init', array( $this, 'page_init_oaembed' ) );
    }
	
	public function oaembed() {
        add_options_page(
            'Outdooractive Embed', //Page Title
            'Outdooractive Embed', //Menu Title
            'manage_options', //Capability
            'oaembed-admin', //Menu Slug
            array( $this, 'oaembed_create_admin_page' ) //Function
        );
    }
	
	public function oaembed_create_admin_page() {
		
		$this->options = get_option( 'oaembedoptions' );
		
        ?>
        <div class="wrap">
            <?php screen_icon(); ?>
            <h2>Outdooractive Embed</h2>           
            <form method="post" action="options.php">
            <?php
                settings_fields( 'oaembedsettings' );   
                do_settings_sections( 'oaembed-admin' );
                submit_button(); 
            ?>
            </form>
        </div>
        <?php

	}
	
	public function page_init_oaembed() {        
        register_setting(
            'oaembedsettings', //Option Group
            'oaembedoptions', //Option Name
            array( $this, 'oaembed_sanitize' ) //Sanitize Callback
        );
		
        add_settings_section(
            'oaembed', //ID
            __('Outdooractive Embed lets you embed tours, huts and lists from outdooractive.com into your WordPress site. It’s the perfect companion if you run a travel or outdoor blog.', 'outdooractiveEmbed'), //Title
            array( $this, 'print_section_info_oaembed' ), //Callback
            'oaembed-admin' //Page
        );  

        add_settings_field(
            'checkPoweredBy', //ID
            __('Show link to <a href="https://www.outdooractive.com/" target="_blank">outdooractive.com</a>', 'outdooractiveEmbed'), //Title
            array( $this, 'oaembed_checkPoweredBy_callback' ), //Callback
            'oaembed-admin', //Page
			'oaembed'
        );
	}
	
	public function print_section_info_oaembed() {
		print __('<div style="margin-bottom: 20px;"><span style="font-weight: bold;">Embed content into posts and pages</span><br>After installing the plugin, an Outdooractive button will appear in the WordPress post and page editor. Use it to insert tours, lists and huts.<br>For coders and hackers: The plugin registers the shortcodes <code>list2go</code>, <code>tour2go</code> and <code>hut2go</code>. The only required parameter is <code>url</code>, all others are optional.<br><br>Example:<br>Insert <code>[hut2go url="http://www.outdooractive.com/en/serviced-hut/graubuenden/tschiervahuette/15280962/"]</code> in the “text” mode of the editor and hit preview. A hut will appear.<br><br>The following options are supported:<br><br><span style="font-style: italic">maxwidth</span><br>Specifies a maximum width for the embed, in pixels. The maximum width must not be smaller than 260 pixels.<br>Example:<br><code>[hut2go url="http://www.outdooractive.com/en/serviced-hut/graubuenden/tschiervahuette/15280962/" maxwidth="400"]</code><br><br><span style="font-style: italic">displaymap</span><br>Specify whether to show a map initially; may be <code>true</code> or <code>false</code>. This option only applies to lists.<br>Example:<br><code>[list2go url="http://www.outdooractive.com/en/list/10-via-ferratas-for-beginners-in-germany/106458530/" displaymap="true"]</code><br><br><span style="font-style: italic">noheader</span><br>Specify whether to show image, title and description of a list; may be <code>true</code> or <code>false</code>. This option only applies to lists.<br>Example:<br><code>[list2go url="http://www.outdooractive.com/en/list/10-via-ferratas-for-beginners-in-germany/106458530/" noheader="true"]</code><br></div><div style="margin-bottom: 20px;"><span style="font-weight: bold;">Embed content into sidebar, footer etc.</span><br>You can embed lists, huts and tours into sidebars and footers by using WordPress Widgets.See https://codex.wordpress.org/WordPress_Widgets for further information on using WordPress Widgets.<br></div><div><span style="font-weight: bold;">Support <a href="https://www.outdooractive.com/"  target="_blank">outdooractive.com</a> by displaying a link below all embeds. We appreciate your help!</span></div>', 'outdooractiveEmbed');
	}
	
	public function oaembed_sanitize( $input ) {
        $new_input = array();
		
        if( isset( $input['checkPoweredBy'] ) )
            $new_input['checkPoweredBy'] = sanitize_text_field( $input['checkPoweredBy'] );
        
		return $new_input;
    }
	
	public function oaembed_checkPoweredBy_callback() {
			
		$html = '<div>';
		$html .= '<input type="checkbox" id="checkPoweredBy" name="oaembedoptions[checkPoweredBy]" value=1   '.checked( isset( $this->options['checkPoweredBy'] ), true, false ).'/>';
		$html .= '</div>';
		echo $html;
		
    }
}

if( is_admin() )
    $oaembed_configpage = new oaembed_Config();
?>